Skip to main content

2024-07-16 Technical Fellowship OpenDev Call

Previous: https://forum.polkadot.network/t/2024-06-25-technical-fellowship-opendev-call/8890 Video: https://www.youtube.com/watch?v=oWppBMrgU7M

Fellowship

Dashboard

Members​

  • Approved
    • Promote Rank 1: Clara, Thibaut, gpestana, nikos, Ross Bulat
    • Retain Rank 1: Olanod, Szego
    • Promote Rank 2: joepetrowski, brenzi
    • Promote Rank 4: eskimor
    • Retain Rank 4: xlc, kiananigma
  • Ongoing
    • Retain Rank 1: Ankan, Dima, ermalkaleci, Liam, s0me0ne-unkn0wn, clanbenb, timwu20, serban300, dharjeezy
    • Retain Rank 3: ordian

Fellowship Meeting in Brussels​

  • The Fellowship had its 3rd physical meeting in Brussels during Polkadot Decoded.
  • make parachain creation cheaper (deposits)
    • currently, 30k USD, should become 2 orders of magnitude cheaper → 300 USD
  • how to use the Treasury?
    • Traveling, Notebooks
    • UI
    • make life inside the Fellowship easier
  • Agenda
  • Notes

Fellowship Referenda​

Approved

  • Ref 150 to ratify whitelisted caller usage for Snowbridge emergencies
    • pause/unpause the bridge
  • Ref 154 Whitelist Polkadot People Chain Setup
  • Ref 155 Whitelist Update HRMP Channel Limits

Ongoing

  • Ref 156 Whitelist People Chain Migration and Release

RFCs​

Signalling Discussion​

Roadmap

Next versions:​

1.2.8 (Adrian)​

https://github.com/polkadot-fellows/runtimes/issues/358

Adrian:

  • Cheaper Snowbridge
  • import headers only when there is actual execution data

1.3.0 (Donal, Adrian, Cisco)​

Coretime​

Elastic Scaling (Andrei)​

next week, ready to test on Westend forum post coming up. Kusama should follow up shortly on next runtime upgrade based on 1.14 SDK,

  • ongoing research to remove limitations
    • open collator set: draft RFC 103 posted

Stabilizing Polkadot (Oliver)​

  • New SDK release process
    • New Release Process after the next SDK 1.14 release
    • 6 months stable release cadence with 12m of support
    • will start with 3m cadence
  • Runtime Release checklist and here

Research

New RFCs​

  • RFC 0096: Smart Contracts on the Coretime Chain. This RFC proposes the implementation of smart contracts on the Coretime chain to enhance flexibility and enable complex decentralized applications, including secondary market functionalities.
  • RFC 0097: Unbonding queue. This RFC proposes a safe mechanism to scale the unbonding time from staking on the Relay Chain proportionally to the overall unbonding stake, aiming to enhance user convenience without compromising system security.
  • RFC 99 - include transaction extension version
  • RFC 100 - New XCM instruction: InitiateAssetsTransfer for complex asset transfers (Adrian)
  • RFC 101 - Transact Unlimited weight (Adrian)
  • RFC 102 - Off-chain parachain upgrades (eskimor)
  • SDK 4315 Define and implement Hold for Assets, SDK 4530 HeldBalance (Pablo)
  • Polkadot Ecosystem Tests

JAM (Gavin)

  • Graypaper 0.3 released, probably another release soon. don’t think we will see other significant changes until we start coding
  • Tour: first part done, lectures in place for on-chain portion, off-chain portion no lectures yet
  • interest from coders to write implementations, 58 form submissions
  • happy about amount of talk in the Graypaper channel